- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XMLDOMNode Class Reference

Inherits Object.

Inherited by XMLDOMDocument`[virtual]`, and XMLDOMElement`[virtual]`.

List of all members.

## Detailed Description

The XMLDOMNode interface is the primary datatype for the entire Document Object Model.

## Public Types
enum | XMLDOMNodeType { NOT_IMPLEMENTED_NODE = 0, ELEMENT_NODE = 1, DOCUMENT_NODE = 9 }
## Public Member Functions
virtual XMLDOMNodeListPtr | getChildNodes ()=0
virtual XMLDOMNodeType | getNodeType ()=0
virtual XMLDOMDocumentPtr | getOwnerDocument ()=0

## Member Enumeration Documentation

enum XMLDOMNodeType

  | Enumerator:
  NOT_IMPLEMENTED_NODE |
  ELEMENT_NODE |
  DOCUMENT_NODE |

## Member Function Documentation

virtual XMLDOMNodeListPtr getChildNodes | ( |  | ) | `[pure virtual]`

virtual XMLDOMNodeType getNodeType | ( |  | ) | `[pure virtual]`

virtual XMLDOMDocumentPtr getOwnerDocument | ( |  | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- xml.h